Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class FormatFactory

    java.lang.Object
      org.objectstyle.cayenne.dataview.FormatFactory

    public class FormatFactory

extends java.lang.Object

Nested Class Summary
`static interface` | `FormatFactory.Builder`
`static class` | `FormatFactory.ChoiceFormatBuilder`
`static class` | `FormatFactory.DecimalFormatBuilder`
`static class` | `FormatFactory.MapFormatBuilder`
`static class` | `FormatFactory.MessageFormatBuilder`
`static class` | `FormatFactory.SimpleDateFormatBuilder`

Constructor Summary
`FormatFactory()`

Method Summary
`java.text.Format` | `createFormat(java.lang.Class formatClass, java.util.Locale locale, java.util.Map parameters)`
`FormatFactory.Builder` | `getBuilder(java.lang.Class formatClass)`
`FormatFactory.Builder` | `registerBuilder(java.lang.Class formatClass, FormatFactory.Builder builder)`
`FormatFactory.Builder` | `unregisterBuilder(java.lang.Class formatClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatFactory

    public FormatFactory()

Method Detail

### createFormat

    public java.text.Format createFormat(java.lang.Class formatClass,
                                         java.util.Locale locale,
                                         java.util.Map parameters)

### registerBuilder

    public FormatFactory.Builder registerBuilder(java.lang.Class formatClass,
                                                 FormatFactory.Builder builder)

### unregisterBuilder

    public FormatFactory.Builder unregisterBuilder(java.lang.Class formatClass)

### getBuilder

    public FormatFactory.Builder getBuilder(java.lang.Class formatClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.